[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBitmap.GetFileExtensions

Gets the file extensions supported for the image type.

## Declaration

Source position: graphics.pp line 1475

`public class function TBitmap.GetFileExtensions: string; override;`

## Function result

File extensions used for the image type.

## Description

GetFileExtensions is an overridden String class function used to get a delimited list of file extensions used for graphic files supported in the class. The '.' character is omitted from file extension(s), and extensions are separated by a SemiColon (;) character.

In TBitmap, the method returns the value 'bmp' for the Windows Bitmap format supported in the class.

## See also

TFPImageBitmap.GetFileExtensions |  | Returns a list of the file extensions available for the image type.
TGraphic.GetFileExtensions |  | Returns a list of the file extensions available.